FUNCTION TEMPL(3)

NAME
boost::algorithm::iter_split - Split find algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/iter_find.hpp>
template<typename SequenceSequenceT, typename RangeT, typename FinderT>
  SequenceSequenceT &
  iter_split(SequenceSequenceT & Result, RangeT & Input, FinderT Finder);

DESCRIPTION

This algorithm executes a given finder in iteration on the input, until the end of input is reached, or no match is found. Iteration is done using built-in find_iterator, so the real searching is performed only when needed. Each match is used as a separator of segments. These segments are then returned in the result.

Parameters:

    Finder
        A finder object used for searching

    Input
        A container which will be searched.

    Result
        A 'container container' to container the result of search. Both outer and inner container must have constructor taking a pair of iterators as an argument. Typical type of the result is std::vector<boost::iterator_range<iterator>> (each element of such a vector will container a range delimiting a match).

Returns:
    A reference the result

Notes:
    Prior content of the result will be overwritten.